#include <iostream>
#include <fstream>
#include <math.h>
#include <string>

using namespace std;


int main() 
{
	ifstream fin("input.txt");
	ofstream fout("output.txt");
	long int n, m;
        int digits[10];
        fin >> n >> m;
        for (int i=0; i<n; i++) fin >> digits[i];
        int k = 0;
        for (int j=1; j<=m; j++) 
        { int d; 
          fin >> d; 
          for (int i=0; i<n; i++) if (d==digits[i]) k++; 
          if (k==n || m-j+k < n ) {fout << j; break; }
        }
         
        fout.close();
        return 0;
}